com.io7m.smfj.bytebuffer

## Class SMFByteBufferPackedAttributeSet.Builder

- java.lang.Object
- - com.io7m.smfj.bytebuffer.SMFByteBufferPackedAttributeSet.Builder

- Enclosing class:
    SMFByteBufferPackedAttributeSet

      public static final class SMFByteBufferPackedAttributeSet.Builder
      extends Object

  Builds instances of type `SMFByteBufferPackedAttributeSet`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFByteBufferPackedAttributeSet` | `build()` Builds a new `SMFByteBufferPackedAttributeSet`.
    `SMFByteBufferPackedAttributeSet.Builder` | `from(SMFByteBufferPackedAttributeSetType instance)` Fill a builder with attribute values from the provided `SMFByteBufferPackedAttributeSetType` instance.
    `SMFByteBufferPackedAttributeSet.Builder` | `setByteBuffer(ByteBuffer byteBuffer)` Initializes the value for the `byteBuffer` attribute.
    `SMFByteBufferPackedAttributeSet.Builder` | `setConfiguration(SMFByteBufferPackingConfiguration configuration)` Initializes the value for the `configuration` attribute.
    `SMFByteBufferPackedAttributeSet.Builder` | `setId(int id)` Initializes the value for the `id` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFByteBufferPackedAttributeSet.Builder from(SMFByteBufferPackedAttributeSetType instance)

      Fill a builder with attribute values from the provided `SMFByteBufferPackedAttributeSetType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setId

          public final SMFByteBufferPackedAttributeSet.Builder setId(int id)

      Initializes the value for the `id` attribute.
      Parameters:
        `id` - The value for id
      Returns:
        `this` builder for use in a chained invocation

    - #### setConfiguration

          public final SMFByteBufferPackedAttributeSet.Builder setConfiguration(SMFByteBufferPackingConfiguration configuration)

      Initializes the value for the `configuration` attribute.
      Parameters:
        `configuration` - The value for configuration
      Returns:
        `this` builder for use in a chained invocation

    - #### setByteBuffer

          public final SMFByteBufferPackedAttributeSet.Builder setByteBuffer(ByteBuffer byteBuffer)

      Initializes the value for the `byteBuffer` attribute.
      Parameters:
        `byteBuffer` - The value for byteBuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFByteBufferPackedAttributeSet build()

      Builds a new `SMFByteBufferPackedAttributeSet`.
      Returns:
        An immutable instance of SMFByteBufferPackedAttributeSet
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com